Subject: bug#26104: 26.0.50; In Ubuntu, having mouse over other frame cause Alt key to produce a <switch-frame> event

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Apr 2017 18:11:24 +0300

> Date: Sat, 15 Apr 2017 16:50:15 +0200
> From: martin rudalics <[email-masked]>
> 
>  > I found the setting that causes the issue. In CompizConfig (i.e. apt
>  > package compizconfig-settings-manager), go to Ubuntu Unity Plugin, and
>  > then, under General, disable "Key to show the menu bar while
>  > pressed". The problem goes away. (The irony is that I dislike the menu
>  > hiding and had it disabled anyway).
> 
> Hmm..  I don't understand well (not using Compiz).  Which key is that
> and why would it cause a focus-in event when moving the mouse?  Or is
> that key the <Alt> key and pressing it causes a focus-in event?

Heh, it looks like they copied the MS-Windows (mis)feature, whereby
tapping the Alt key activates the menu bar, which would indeed require
a focus-in event; seems like some GNU/Linux distros have joined this
lunacy.  In the MS-Windows build, we have w32-pass-alt-to-system to
control that.

(Sometimes it seems to me like GNU/Linux developers have no GUI ideas
of their own, and all they can do is copycat from MS-Windows.)

> If so, we should mention that somewhere, either in the manual or in
> PROBLEMS.

Perhaps we should generalize w32-pass-alt-to-system instead?  Assuming
an application can control this behavior on GNU/Linux, that is.